'''
  $Id$

  clazzes.org PBA package downloader

  (c)2018 clazzes.org project
  
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
 
      http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

'''

import sys

from clazzes.tools.logtools import configureStderr

def main(args=None):
    """The main routine."""
    if args is None:
        args = sys.argv[1:]

    debugModules = None

    if "--debug" in args:
        args.remove("--debug")
        debugModules = ["clazzes.pbadownload"]
    
    configureStderr(debugNames=debugModules)
    
    from clazzes.pbadownload.downloader import run_downloader
    run_downloader(sys.argv[0],args)

if __name__ == "__main__":
    main()
